Bug 286421 - Dataloss when remote server disconnects prematurely
Dataloss when remote server disconnects prematurely
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-11 13:22 EDT by Tomas Mraz
Modified: 2008-01-29 08:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-29 08:58:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 512798 None None None Never

  None (edit)
Description Tomas Mraz 2007-09-11 13:22:57 EDT
Description of problem:
When a message is moved between IMAP folders (on one server or between two
servers) and the destination server disconnects for some reason during the
transfer evolution removes the email from source folder anyway. This is severe
dataloss bug.

Version-Release number of selected component (if applicable):
Happens in all evolution releases since at least FC6 till rawhide.

(Btw if you combine evolution with the dovecot in rawhide which crashes
frequently on large Maildirs, you can reproduce this very easily, but it is not
dependent on the exact IMAP server, it will happen with different servers on
network errors etc...)

See also http://bugzilla.gnome.org/show_bug.cgi?id=446276
Comment 1 Tomas Mraz 2007-10-18 08:19:02 EDT
Or it might be http://bugzilla.gnome.org/show_bug.cgi?id=436802
Comment 2 Matthew Barnes 2007-12-11 16:42:32 EST
Moving messages on an IMAP server actually means marking the message for
deletion on the source folder and copying it to the destination folder.  In the
times this has happened to me, I can usually find the message in my Trash folder
and undelete it from there.  It then shows up again in the source directory.

Lowering the severity.
Comment 3 Tomas Mraz 2007-12-11 17:20:40 EST
Yes, but if you have filters which move the messages automatically you might not
notice that some message was deleted and didn't appear on destination. So you
don't know that you should look for it in trash.
Comment 4 Matthew Barnes 2008-01-29 08:58:26 EST
Moving this upstream where I'll continue to track the issue.  Please see [1] for
further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=512798

Note You need to log in before you can comment on or make changes to this bug.